#!/usr/bin/env python
# encoding: utf-8
"""
Copyright (c) 2015 University of Wisconsin SSEC. All rights reserved.
"""

import os, shutil
import logging
import re
import glob
LOG = logging.getLogger(__name__)

def verify(remote, local):
    remote_size = int(os.stat(remote).st_size)
    local_size = int(os.stat(local).st_size)
    LOG.debug("verify remote_size: %s, local_size: %s" % (remote_size, local_size))
    return (remote_size == local_size)

def check(remote):
    #LOG.info('check')
    path = os.path.dirname(remote) + "/*"
    pattern2=remote.split('/')[-1]
    pattern = '%s' % pattern2
    #LOG.debug('%s check remote %s '%(pattern2,remote))
    LOG.debug('%s check path %s'%(pattern,path))

    prog = re.compile(pattern)
      
    back = []
    for f in glob.iglob(path):
        #LOG.info(f)
        if prog.match(os.path.basename(f)):
            LOG.debug('check found %s' % f)
            back.append(os.path.join(os.path.dirname(remote), f))
    return back

def download(remote, local):
    LOG.debug('copy %s %s'%(remote, local))
    shutil.copyfile(remote, local)
    return local
