#!/usr/bin/env bash
test -n "${CSPP_SDR_HOME}" || echo "CSPP_SDR_HOME is not set. Please set this environment variable to the install location of CSPP software packages."

usage="$(basename "$0") [-h] -- migrate SDR LUTS from package db to incoming_luts directory.

where:
    -h  show this help text"


if [ "$1" == "-h" ]; then
  echo "Usage: $usage"
  exit 0
fi

TDIR=${CSPP_SDR_HOME}/anc/cache/anctmp
LUTS=${CSPP_SDR_HOME}/anc/cache/incoming_luts
CACHE_DB=${CSPP_SDR_HOME}/anc/cache/db

if [ -e ${TDIR} ] ;
then
	rm -fr ${TDIR}
fi

if [ -e ${CACHE_DB} ] ;
then
	rm -fr ${CACHE_DB}
fi

if [ -e ${LUTS} ] ;
then
	rm *Correct-Matrix-AUX*.h5
fi

echo "Find luts and anc"
mkdir -p ${TDIR}
find ${CSPP_SDR_HOME}/anc/cache/package/DmSm -type f | xargs -I{}  -n 1 cp {} ${TDIR}

chmod uga+wr ${TDIR}/*
chmod uga-x ${TDIR}/*

echo "Move luts and anc"

files=`ls ${TDIR}`
for f in ${files} ;
do

	mv -n ${TDIR}/${f} ${LUTS}/${f:33}
done

rm -r ${TDIR}
sdr_luts.sh  -l